Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.BZip2.BZip2Constants Class Referencesealed

Defines internal values for both compression and decompression. More...

## Static Public Attributes
static readonly int[] | RandomNumbers
| Random numbers used to randomise repetitive blocks.
const int | BaseBlockSize = 100000
| When multiplied by compression parameter (1-9) gives the block size for compression 9 gives the best compression but uses the most memory.
const int | MaximumAlphaSize = 258
| Backend constant.
const int | MaximumCodeLength = 23
| Backend constant.
const int | RunA = 0
| Backend constant.
const int | RunB = 1
| Backend constant.
const int | GroupCount = 6
| Backend constant.
const int | GroupSize = 50
| Backend constant.
const int | NumberOfIterations = 4
| Backend constant.
const int | MaximumSelectors = (2 + (900000 / GroupSize))
| Backend constant.
const int | OvershootBytes = 20
| Backend constant.

## Private Member Functions
| BZip2Constants ()

## Detailed Description

Defines internal values for both compression and decompression.

## Constructor & Destructor Documentation

## ◆ BZip2Constants()

ICSharpCode.SharpZipLib.BZip2.BZip2Constants.BZip2Constants | ( |  | ) |
| private

## Member Data Documentation

## ◆ BaseBlockSize

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.BaseBlockSize = 100000
| static

When multiplied by compression parameter (1-9) gives the block size for compression 9 gives the best compression but uses the most memory.

## ◆ GroupCount

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.GroupCount = 6
| static

Backend constant.

## ◆ GroupSize

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.GroupSize = 50
| static

Backend constant.

## ◆ MaximumAlphaSize

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.MaximumAlphaSize = 258
| static

Backend constant.

## ◆ MaximumCodeLength

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.MaximumCodeLength = 23
| static

Backend constant.

## ◆ MaximumSelectors

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.MaximumSelectors = (2 + (900000 / GroupSize))
| static

Backend constant.

## ◆ NumberOfIterations

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.NumberOfIterations = 4
| static

Backend constant.

## ◆ OvershootBytes

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.OvershootBytes = 20
| static

Backend constant.

## ◆ RandomNumbers

readonly int [] ICSharpCode.SharpZipLib.BZip2.BZip2Constants.RandomNumbers
| static

Random numbers used to randomise repetitive blocks.

## ◆ RunA

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.RunA = 0
| static

Backend constant.

## ◆ RunB

const int ICSharpCode.SharpZipLib.BZip2.BZip2Constants.RunB = 1
| static

Backend constant.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/BZip2/BZip2Constants.cs